Skip to main content
PUT
/
v0
/
documents
/
{id}
/
tags
JavaScript
import Avido from 'avido';

const client = new Avido({
  apiKey: process.env['AVIDO_API_KEY'], // This is the default and can be omitted
  applicationID: process.env['AVIDO_APPLICATION_ID'], // This is the default and can be omitted
});

const tag = await client.documents.tags.update('123e4567-e89b-12d3-a456-426614174000', {
  tagIds: ['123e4567-e89b-12d3-a456-426614174000', '456e4567-e89b-12d3-a456-426614174000'],
});

console.log(tag.data);
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "API Documentation",
      "color": "#3B82F6",
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z",
      "orgId": "org_123456789",
      "applicationId": "456e4567-e89b-12d3-a456-426614174000",
      "description": "Tag for API-related documentation"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the document

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Body

application/json

Request body for updating tags on a resource

tagIds
string<uuid>[]
required

Array of tag IDs to assign to the resource

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"456e4567-e89b-12d3-a456-426614174000"
]

Response

Document tags updated successfully

Successful response containing tags

data
Tag · object[]
required